Package org.apache.sling.testing.clients.osgi

# Class BundlesInfo

java.lang.Object
org.apache.sling.testing.clients.osgi.BundlesInfo

public class BundlesInfo extends Object
A simple Wrapper around the returned JSON when requesting the status of /system/console/bundles

## Constructor Summary

Constructors
Constructor
Description
`BundlesInfo(com.fasterxml.jackson.databind.JsonNode root)`
The only constructor.

## Method Summary

Modifier and Type
Method
Description
`BundleInfo`
`forId(String id)`
Return bundle info for a bundle with persistence identifier `pid`
`BundleInfo`
`forName(String name)`
Return bundle info for a bundle with name `name`
`BundleInfo`
`forSymbolicName(String name)`
Return bundle info for a bundle with symbolic name `name`
`int`
`getNumBundlesByStatus(Bundle.Status status)`
Returns number of bundles that are in specified state
`String`
`getStatusMessage()`
`int`
`getTotalNumOfBundles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundlesInfo

public BundlesInfo(com.fasterxml.jackson.databind.JsonNode root) throws TestingValidationException
The only constructor.

Parameters:
  `root` - the root JSON node of the bundles info.
Throws:
  `TestingValidationException` - if the json does not contain the proper info

## Method Details

### getStatusMessage

public String getStatusMessage() throws TestingValidationException

Returns:
  the status message of the bundle context
Throws:
  `TestingValidationException` - if the request cannot be completed

### getTotalNumOfBundles

public int getTotalNumOfBundles()

Returns:
  total number of bundles.

### getNumBundlesByStatus

public int getNumBundlesByStatus(Bundle.Status status)
Returns number of bundles that are in specified state

Parameters:
  `status` - the requested status
Returns:
  the number of bundles

### forId

public BundleInfo forId(String id) throws ClientException
Return bundle info for a bundle with persistence identifier `pid`

Parameters:
  `id` - the id of the bundle
Returns:
  the BundleInfo
Throws:
  `ClientException` - if the info could not be retrieved

### forName

public BundleInfo forName(String name) throws ClientException
Return bundle info for a bundle with name `name`

Parameters:
  `name` - the name of the requested bundle
Returns:
  the info, or `null` if the bundle is not found
Throws:
  `ClientException` - if the info cannot be retrieved

### forSymbolicName

public BundleInfo forSymbolicName(String name) throws ClientException
Return bundle info for a bundle with symbolic name `name`

Parameters:
  `name` - the symbolic name of the requested bundle
Returns:
  the info, or `null` if the bundle is not found
Throws:
  `ClientException` - if the info cannot be retrieved